## jcifs.util
Class RC4

    java.lang.Object
      jcifs.util.RC4

    public class RC4

extends java.lang.Object

Constructor Summary
`RC4()`
`RC4(byte[] key)`

Method Summary
`void` `init(byte[] key, int ki, int klen)`
`void` `update(byte[] src, int soff, int slen, byte[] dst, int doff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC4

    public RC4()

### RC4

    public RC4(byte[] key)

Method Detail

### init

    public void init(byte[] key,
                     int ki,
                     int klen)

### update

    public void update(byte[] src,
                       int soff,
                       int slen,
                       byte[] dst,
                       int doff)